<?php

/**
 * @file
 * Exception classes used by handlers.
 * @author Ahmad hejazee <mngafa@gmail.com>
 */

/**
 * Exception: When handler wants to get the value of an argument, but
 * the requested argument is not available. (happens in getArg() method)
 *
 * The cause of this exception can be insufficient arguments defined in .ngslaccess file.
 */
class NGSLAccessByFileHandler_MissingArgument extends \Exception {
  private $arg_name;

  public function __construct($arg_name) {
    $this->arg_name = $arg_name;

    // Build message.
    $message = 'Handler argument (' . $arg_name . ') not found.';

    parent::__construct($message);
  }

  public function getMissingArgName() {
    return $this->arg_name;
  }
}
